summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorcos <cos>2023-09-18 14:35:02 +0200
committercos <cos>2024-03-26 14:21:08 +0100
commit968419bb5b89a110c44a064de71cd8964be19c4d (patch)
treed74427c4cea2182b007a8c7676e57937baba3ad1
parent34ff9d3ca730bc28879ab2b0c1a49f2c5480f9a3 (diff)
downloadlua-language-server-968419bb5b89a110c44a064de71cd8964be19c4d.zip
Lint, and add the most desired comment to, make.sh
-rwxr-xr-xmake.sh7
1 files changed, 5 insertions, 2 deletions
diff --git a/make.sh b/make.sh
index 31cca369..3cf23e84 100755
--- a/make.sh
+++ b/make.sh
@@ -1,7 +1,10 @@
#!/usr/bin/env bash
git submodule update --init --recursive
-pushd 3rd/luamake
+pushd 3rd/luamake || { echo 'Could not enter 3rd/luamake' >&2; exit 1; }
./compile/build.sh
-popd
+popd || { echo 'popd failed' >&2; exit 1; }
+# When confident with how the pieces fit together, the argument to luamake may
+# by change to speed up the edit-build-time-test cycle significantly. A list of
+# available arguments can be obtained with: `luamake help`
./3rd/luamake/luamake rebuild